/*html {
    font-family: 'Montserrat', 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    font-size: 14px;
}*/

@media (min-width: 768px) {
    html {
        font-size: 16px;
    }
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
    box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

html {
    position: relative;
    min-height: 100%;
}

body {
    font-family: 'Plus Jakarta Sans','Montserrat', 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
}

/* loading page debut */     
:root {
    --primary-blue: #4FC3F7;
    --black: #000000;
    --light-blue: #F9F9F9 #1A1A1A;
    /*--light-blue: #E1F5FE;*/
    --black-light: #1A1A1A;
    --gray: #ffffff;
    --success-green: #4CAF50;
    --error-red: #F44336;
}

/* Ajoutez cette animation */
@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

.loading-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(255, 255, 255, 0.9);
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    z-index: 9999;
    opacity: 0;
    visibility: hidden;
    /* transition: all 0.3s ease; */
    transition: opacity 0.3s ease, visibility 0.1s ease;
}

    .loading-overlay.active {
        opacity: 1;
        visibility: visible;
    }

/* .spinner {
      width: 60px;
      height: 60px;
      border: 5px solid var(--light-blue);
      border-top: 5px solid var(--primary-blue);
      border-radius: 50%;
      animation: spin 1s linear infinite;
    } */
.spinner {
    width: 60px;
    height: 60px;
    border: 4px solid var(--light-blue);
    border-top: 4px solid var(--black);
    /*    border: 4px solid var(--light-blue);
    border-top: 4px solid var(--primary-blue);*/
    border-radius: 50%;
    animation: spin 1.2s cubic-bezier(0.68, -0.55, 0.27, 1.55) infinite;
    position: relative;
}
/* loading page fin */


